---
title: XRReferenceSpaceEvent
slug: Web/API/XRReferenceSpaceEvent
tags:
  - API
  - AR
  - Event
  - Interface
  - Mixed
  - Reality
  - Reference
  - Reference Space
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRReferenceSpaceEvent
  - augmented
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_header}}</p>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR Device API</a> interface <code><strong>XRReferenceSpaceEvent</strong></code> represents an event sent to an {{domxref("XRReferenceSpace")}}. Currently, the only event  that uses this type is the {{domxref("XRReferenceSpace.reset_event", "reset")}} event.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("XRReferenceSpaceEvent.XRReferenceSpaceEvent", "XRReferenceSpaceEvent()")}}</dt>
 <dd>Returns a new <code>XRReferenceSpaceEvent</code> with the specified type and configured using the values in the given {{domxref("XRReferenceSpaceEventInit")}} dictionary.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>In addition to inheriting the properties available on the parent interface, {{domxref("Event")}}, <code>XRReferenceSpaceEvent</code> objects include the following properties:</em></p>

<dl>
 <dt>{{domxref("XRReferenceSpaceEvent.referenceSpace", "referenceSpace")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("XRReferenceSpace")}} indicating the reference space that generated the event.</dd>
 <dt>{{domxref("XRReferenceSpaceEvent.transform", "transform")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("XRRigidTransform")}} object indicating the position and orientation of the specified <code>referenceSpace</code>'s native origin after the event, defined relative to the coordinate system before the event.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>While <code>XRReferenceSpaceEvent</code> does not define any methods, it inherits the methods of its parent interface, {{domxref("Event")}}.</em></p>

<h2 id="Event_types">Event types</h2>

<dl>
 <dt>{{domxref("XRReferenceSpace.reset_event", "reset")}}</dt>
 <dd>The <code>reset</code> event is sent to a reference space when its native origin is changed due to a discontinuity, recalibration, or device reset. This is an opportunity for your app to update any stored transforms, position/orientation information, or the like—or to dump any cached values based on the reference's space's origin so you can recompute them as needed.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#xrreferencespaceevent','XRReferenceSpaceEvent')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.XRReferenceSpaceEvent")}}</p>
